# classes/phing/tasks/ext/svn/SvnLastRevisionTask.php

## \SvnLastRevisionTask
jump to top

Stores the number of the last revision of a workingcopy in a property

Use {@link Project#createTask} to register a new Task.

Extends from
  \SvnBaseTask
see
  \VersionControl_SVN
author
  Michiel Rook
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext.svn
since
  2.1.0
version
  $Id: SvnLastRevisionTask.php 822 2010-08-13 18:58:55Z mrook $

### Properties

`$forceCompatible= 'false'`
Default value `false` Details

Type

`$lastChanged= 'false'`
Default value `false` Details

Type

`$propertyName= 'svn.lastrevision'`
Default value `svn.lastrevision` Details

Type

### Methods

`getPropertyName( ) :`
Returns the name of the property to use
`main( ) :`
The main entry point
Details

throws

`setForceCompatible( $force ) :`
Sets whether to force compatibility with older SVN versions (< 1.2)
Parameters

Name | Type | Description
--- | --- | ---
$force |  |

`setLastChanged( $lastChanged ) :`
Sets whether to retrieve the last changed revision
Parameters

Name | Type | Description
--- | --- | ---
$lastChanged |  |

`setPropertyName( $propertyName ) :`
Sets the name of the property to use
Parameters

Name | Type | Description
--- | --- | ---
$propertyName |  |

Documentation was generated by DocBlox 0.13.1.